Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[SOLVED] Version Misaligned
#1
After updating to 740, I have a message warning of console and server being different versions, which could "cause several malfunctions".

My console display indicates:  Pandora FMS v7.0NG.740 - Build 190916 - MR 32 

Code:
rpm -qa | grep pandorafms

pandorafms_agent_unix-7.0NG.740-1.noarch
pandorafms_server-7.0NG.740-1.noarch
pandorafms_console-7.0NG.740-1.noarch

Everything appears to be in order except for this message at the top of each page.
 Reply
#2
Hello hbh154,

Can you send us a image of the error? We tried to replicate it but we dont see the problem.

Best regards
Diego
 Reply
#3
(11-08-2019, 08:47 AM)Diego.M Wrote: Hello hbh154,

Can you send us a image of the error? We tried to replicate it but we dont see the problem.

Best regards
Diego

Hello Diego,

Long holiday weekend here.  I added a screenshot.  
.png   Annotation 2019-11-07 163140.png (Size: 32.46 KB / Downloads: 9)
 Reply
#4
Hello hbh154

It seems that you have the server and the console in different versions, the changes in the PandoraFMS server are not very common for the open version but from time to time they are necessary. Execute in your server the following command (pandora_server -h) to know the version of your server, compare it with the version of your console and update the server to the corresponding version.

Greetings
Diego
 Reply
#5
(11-13-2019, 08:19 AM)Diego.M Wrote: Hello hbh154

It seems that you have the server and the console in different versions, the changes in the PandoraFMS server are not very common for the open version but from time to time they are necessary. Execute in your server the following command (pandora_server -h) to know the version of your server, compare it with the version of your console and update the server to the corresponding version.

Greetings
Diego

Hmm...

Code:
pandora_server -h
Pandora FMS Server 7.0NG.740 Build 191029
Per the Update Manager page:

The latest version of package installed is:
PC191029
There are no updates available

But at the bottom of the page:  

Pandora FMS v7.0NG.740 - Build 190916 - MR 32

Page generated on 2019-11-18 14:09:35

So how do I clear up this 191029/190916 mismatch?  All of the upgrade packages I installed were of the same version with a date and time of October 29, 14:04 in the repository.


Code:
rpm -qa | grep pandorafms
pandorafms_agent_unix-7.0NG.740-1.noarch
pandorafms_server-7.0NG.740-1.noarch
pandorafms_console-7.0NG.740-1.noarch
 Reply
#6
Hello hbh154,

Try to change the console build in the file "/var/www/html/pandora_console/include/config_process.php " You shouldn't have problems with PandoraFMS version beyond the notification, since the build simply indicates the date of the update. PC191029 = 2019 / October / 29

In case nothing happens when changing the build in the above mentioned file, it will have to be modified directly in the database, but this last one is the last resource.

Greetings
Diego
 Reply
#7
Thanks, Diego.

Before making that edit, I wanted to wait and see what effect the 741 update would have.  Once I completed my MR updates and reloaded the console, I got the green zero errors indicator.
 Reply


Users browsing this thread: 1 Guest(s)


(c) 2006-2018 Artica Soluciones Tecnológicas. Contents of this wiki are under Create Common Attribution v3 licence. | pandorafms.com | pandorafms.org

Theme © MyBB Themes